/*
 * blanco Framework
 * Copyright (C) 2004-2006 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.plugin.stringgroup.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import blanco.stringgroup.BlancoStringGroupConstants;
import blanco.stringgroup.resourcebundle.BlancoStringGroupResourceBundle;

/**
 * プラグインウィザードのページのクラスです。
 * 
 * @author IGA Tosiki
 */
public class BlancoStringGroupWizardPage4 extends WizardPage {
    private static final BlancoStringGroupResourceBundle fBundle = new BlancoStringGroupResourceBundle();

    public BlancoStringGroupWizardPage4(ISelection selection) {
        super("wizardPage");
        setTitle(BlancoStringGroupConstants.PRODUCT_NAME + "プラグインに関連するフォルダ");
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE)
                .setText(BlancoStringGroupConstants.PRODUCT_NAME
                        + "プラグインに関連するフォルダは下記のとおりです。");
        new Label(container, SWT.NONE).setText("  1.ソースフォルダ (フォルダ名は src を推奨)");
        new Label(container, SWT.NONE)
                .setText("    ソースフォルダを設定(作成)することを強く推奨します。");
        new Label(container, SWT.NONE)
                .setText("  2.メタディレクトリ (フォルダ名は meta"
                        + BlancoStringGroupConstants.TARGET_SUBDIRECTORY
                        + " を強く推奨します)");
        new Label(container, SWT.NONE).setText("    "
                + fBundle.getMetafileDisplayname() + "が格納されます。");
        new Label(container, SWT.NONE)
                .setText("  3.テンポラリディレクトリ (フォルダ名は tmp となります)");
        new Label(container, SWT.NONE).setText("  4.自動生成されたソースコードが格納されるフォルダ");
        new Label(container, SWT.NONE).setText("    ・blanco/main (Java)");
        new Label(container, SWT.NONE).setText("    ・blanco.cs/main (C#.NET)");
        new Label(container, SWT.NONE)
                .setText("    ・blanco.js/main(JavaScript)");
        new Label(container, SWT.NONE).setText("    ・blanco.vb/main (VB.NET)");
        new Label(container, SWT.NONE).setText("    ・blanco.php/main (PHP)");
        new Label(container, SWT.NONE).setText("    ・blanco.ruby/main (Ruby)");
        new Label(container, SWT.NONE)
                .setText("    ・blanco.python/main (Python)");

        setControl(container);
    }
}